// _BulkJobController_EOArchive_Swedish.java
// Generated by EnterpriseObjects palette at onsdag, april 03, 2002 14:00:37 Europe/Stockholm

import com.webobjects.eoapplication.*;
import com.webobjects.eocontrol.*;
import com.webobjects.eodistribution.client.*;
import com.webobjects.eointerface.*;
import com.webobjects.eointerface.swing.*;
import com.webobjects.foundation.*;
import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.table.*;
import javax.swing.text.*;

public class _BulkJobController_EOArchive_Swedish extends com.webobjects.eoapplication.EOArchive {
    com.webobjects.eointerface.swing.EOFrame _eoFrame0;
    com.webobjects.eointerface.swing.EOImageView _nsImageView0;
    com.webobjects.eointerface.swing.EOTextField _nsTextField0, _nsTextField1, _nsTextField2, _nsTextField3, _nsTextField4, _nsTextField5;
    com.webobjects.eointerface.swing.EOView _nsProgressIndicator0;
    javax.swing.JButton _nsButton0, _nsButton1, _nsButton2, _nsButton3, _nsButton4;
    javax.swing.JPanel _nsView0;

    public _BulkJobController_EOArchive_Swedish(Object owner, NSDisposableRegistry registry) {
        super(owner, registry);
    }

    protected void _construct() {
        Object owner = _owner();
        EOArchive._ObjectInstantiationDelegate delegate = (owner instanceof EOArchive._ObjectInstantiationDelegate) ? (EOArchive._ObjectInstantiationDelegate)owner : null;
        Object replacement;

        super._construct();

        _nsTextField5 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "NSTextField11");
        _nsButton4 = (javax.swing.JButton)_registered(new javax.swing.JButton("Indata..."), "");
        _nsButton3 = (javax.swing.JButton)_registered(new javax.swing.JButton("Utdata..."), "");
        _nsButton2 = (javax.swing.JButton)_registered(new javax.swing.JButton("V\u00e4lj st\u00e4mpel..."), "");

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "animationImageView")) != null)) {
            _nsProgressIndicator0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOView)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsProgressIndicator0");
        } else {
            _nsProgressIndicator0 = (com.webobjects.eointerface.swing.EOView)_registered(new com.webobjects.eointerface.swing.EOView(), "1");
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "unStampButton")) != null)) {
            _nsButton1 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton1");
        } else {
            _nsButton1 = (javax.swing.JButton)_registered(new javax.swing.JButton("Ta bort st\u00e4mpel"), "NSButton1");
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "outNumberField")) != null)) {
            _nsTextField4 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField4");
        } else {
            _nsTextField4 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "NSTextField21");
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "inNumberField")) != null)) {
            _nsTextField3 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField3");
        } else {
            _nsTextField3 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "NSTextField2");
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "stampField")) != null)) {
            _nsTextField2 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField2");
        } else {
            _nsTextField2 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "NSTextField12");
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "stampButton")) != null)) {
            _nsButton0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton0");
        } else {
            _nsButton0 = (javax.swing.JButton)_registered(new javax.swing.JButton("St\u00e4mpla"), "NSButton");
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "outputField")) != null)) {
            _nsTextField1 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField1");
        } else {
            _nsTextField1 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "NSTextField1");
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "inputField")) != null)) {
            _nsTextField0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField0");
        } else {
            _nsTextField0 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "NSTextField");
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "stampWell")) != null)) {
            _nsImageView0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOImageView)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsImageView0");
        } else {
            _nsImageView0 = (com.webobjects.eointerface.swing.EOImageView)_registered(new com.webobjects.eointerface.swing.EOImageView(), "");
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "window")) != null)) {
            _eoFrame0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOFrame)replacement;
            _replacedObjects.setObjectForKey(replacement, "_eoFrame0");
        } else {
            _eoFrame0 = (com.webobjects.eointerface.swing.EOFrame)_registered(new com.webobjects.eointerface.swing.EOFrame(), "Panel");
        }

        _nsView0 = (JPanel)_eoFrame0.getContentPane();
    }

    protected void _awaken() {
        super._awaken();
        _nsButton4.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "changeInputFolderAction", _nsButton4), ""));
        _nsButton3.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "changeOutputFolderAction", _nsButton3), ""));
        _nsButton2.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "changeStampAction", _nsButton2), ""));

        if (_replacedObjects.objectForKey("_eoFrame0") == null) {
            _connect(_eoFrame0, _owner(), "delegate");
        }

        if (_replacedObjects.objectForKey("_nsProgressIndicator0") == null) {
            _connect(_owner(), _nsProgressIndicator0, "animationImageView");
        }

        _nsButton1.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "unStampThemAction", _nsButton1), ""));

        if (_replacedObjects.objectForKey("_nsButton1") == null) {
            _connect(_owner(), _nsButton1, "unStampButton");
        }

        if (_replacedObjects.objectForKey("_nsTextField4") == null) {
            _connect(_owner(), _nsTextField4, "outNumberField");
        }

        if (_replacedObjects.objectForKey("_nsTextField3") == null) {
            _connect(_owner(), _nsTextField3, "inNumberField");
        }

        if (_replacedObjects.objectForKey("_nsTextField2") == null) {
            _connect(_owner(), _nsTextField2, "stampField");
        }

        _nsButton0.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "stampThemAction", _nsButton0), ""));

        if (_replacedObjects.objectForKey("_nsButton0") == null) {
            _connect(_owner(), _nsButton0, "stampButton");
        }

        _nsTextField1.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "setOutputFromField", _nsTextField1), ""));

        if (_replacedObjects.objectForKey("_nsTextField1") == null) {
            _connect(_owner(), _nsTextField1, "outputField");
        }

        _nsTextField0.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "setInputFromField", _nsTextField0), ""));

        if (_replacedObjects.objectForKey("_nsTextField0") == null) {
            _connect(_owner(), _nsTextField0, "inputField");
        }

        if (_replacedObjects.objectForKey("_eoFrame0") == null) {
            _connect(_owner(), _eoFrame0, "window");
        }

        if (_replacedObjects.objectForKey("_nsImageView0") == null) {
            _connect(_owner(), _nsImageView0, "stampWell");
        }
    }

    protected void _init() {
        super._init();
        _setFontForComponent(_nsTextField5, "Lucida Grande", 10, Font.PLAIN);
        _nsTextField5.setEditable(false);
        _nsTextField5.setOpaque(false);
        _nsTextField5.setText("Obs - drag in mappar och st\u00e4mplar!");
        _nsTextField5.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        _nsTextField5.setSelectable(false);
        _nsTextField5.setEnabled(true);
        _nsTextField5.setBorder(null);
        _setFontForComponent(_nsButton4, "Lucida Grande", 10, Font.PLAIN);
        _nsButton4.setMargin(new Insets(0, 2, 0, 2));
        _setFontForComponent(_nsButton3, "Lucida Grande", 10, Font.PLAIN);
        _nsButton3.setMargin(new Insets(0, 2, 0, 2));
        _setFontForComponent(_nsButton2, "Lucida Grande", 10, Font.PLAIN);
        _nsButton2.setMargin(new Insets(0, 2, 0, 2));

        if (_replacedObjects.objectForKey("_nsButton1") == null) {
            _setFontForComponent(_nsButton1, "Lucida Grande", 13, Font.PLAIN);
            _nsButton1.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsTextField4") == null) {
            _setFontForComponent(_nsTextField4, "Lucida Grande", 13, Font.PLAIN);
            _nsTextField4.setEditable(false);
            _nsTextField4.setOpaque(false);
            _nsTextField4.setText("0");
            _nsTextField4.setHorizontalAlignment(javax.swing.JTextField.LEFT);
            _nsTextField4.setSelectable(false);
            _nsTextField4.setEnabled(true);
            _nsTextField4.setBorder(null);
        }

        if (_replacedObjects.objectForKey("_nsTextField3") == null) {
            _setFontForComponent(_nsTextField3, "Lucida Grande", 13, Font.PLAIN);
            _nsTextField3.setEditable(false);
            _nsTextField3.setOpaque(false);
            _nsTextField3.setText("0");
            _nsTextField3.setHorizontalAlignment(javax.swing.JTextField.LEFT);
            _nsTextField3.setSelectable(false);
            _nsTextField3.setEnabled(true);
            _nsTextField3.setBorder(null);
        }

        if (_replacedObjects.objectForKey("_nsTextField2") == null) {
            _setFontForComponent(_nsTextField2, "Lucida Grande", 11, Font.PLAIN);
            _nsTextField2.setEditable(false);
            _nsTextField2.setOpaque(false);
            _nsTextField2.setText("");
            _nsTextField2.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
            _nsTextField2.setSelectable(false);
            _nsTextField2.setEnabled(true);
            _nsTextField2.setBorder(null);
        }

        if (_replacedObjects.objectForKey("_nsButton0") == null) {
            _setFontForComponent(_nsButton0, "Lucida Grande", 13, Font.PLAIN);
            _nsButton0.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsTextField1") == null) {
            _setFontForComponent(_nsTextField1, "Lucida Grande", 13, Font.PLAIN);
            _nsTextField1.setEditable(true);
            _nsTextField1.setOpaque(true);
            _nsTextField1.setText("");
            _nsTextField1.setHorizontalAlignment(javax.swing.JTextField.LEFT);
            _nsTextField1.setSelectable(true);
            _nsTextField1.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField0") == null) {
            _setFontForComponent(_nsTextField0, "Lucida Grande", 13, Font.PLAIN);
            _nsTextField0.setEditable(true);
            _nsTextField0.setOpaque(true);
            _nsTextField0.setText("");
            _nsTextField0.setHorizontalAlignment(javax.swing.JTextField.LEFT);
            _nsTextField0.setSelectable(true);
            _nsTextField0.setEnabled(true);
        }

        if (!(_nsView0.getLayout() instanceof EOViewLayout)) { _nsView0.setLayout(new EOViewLayout()); }
        _nsImageView0.setSize(68, 60);
        _nsImageView0.setLocation(96, 97);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsImageView0, EOViewLayout.MinYMargin);
        _nsView0.add(_nsImageView0);
        _nsButton0.setSize(110, 26);
        _nsButton0.setLocation(261, 179);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton0, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton0);
        _nsButton2.setSize(82, 37);
        _nsButton2.setLocation(11, 111);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton2, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton2);
        _nsTextField0.setSize(288, 26);
        _nsTextField0.setLocation(99, 13);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField0, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField0);
        _nsButton4.setSize(82, 31);
        _nsButton4.setLocation(11, 13);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton4, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton4);
        _nsButton3.setSize(82, 31);
        _nsButton3.setLocation(11, 51);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton3, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton3);
        _nsTextField1.setSize(288, 26);
        _nsTextField1.setLocation(99, 53);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField1, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField1);
        _nsTextField5.setSize(180, 20);
        _nsTextField5.setLocation(203, 96);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField5, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField5);
        _nsTextField2.setSize(154, 18);
        _nsTextField2.setLocation(10, 158);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField2, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField2);
        _nsTextField3.setSize(38, 21);
        _nsTextField3.setLocation(390, 16);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField3, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField3);
        _nsTextField4.setSize(38, 21);
        _nsTextField4.setLocation(390, 56);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField4, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField4);
        _nsButton1.setSize(132, 26);
        _nsButton1.setLocation(86, 179);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton1, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton1);
        _nsProgressIndicator0.setSize(184, 12);
        _nsProgressIndicator0.setLocation(203, 134);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsProgressIndicator0, EOViewLayout.MinYMargin);
        _nsView0.add(_nsProgressIndicator0);

        if (_replacedObjects.objectForKey("_eoFrame0") == null) {
            _nsView0.setSize(418, 215);
            _eoFrame0.setTitle("Mass-st\u00e4mpling");
            _eoFrame0.setLocation(301, 493);
            _eoFrame0.setSize(418, 215);
        }
    }
}
